help with dimensions...

Discussion in 'AutoCAD' started by fora, Feb 9, 2004.

  1. fora

    fora Guest

    How can I get the type of a dimension (horizontal, vertical or aligned) and
    then access its 1st, 2nd extension and dimension line defining points?



    Thank you in advanced
     
    fora, Feb 9, 2004
    #1
  2. fora

    SpeedCAD Guest

    Hi...

    You prove this:

    Private Sub cmdDimension_Click()
    Dim ObjSel As AcadEntity
    Dim pnt As Variant
    Dim tipo As String
    AppActivate autocadapp.Caption
    utilGet.GetEntity ObjSel, pnt, vbCr & "Seleccione Dimensión: "
    If Right$(ObjSel.ObjectName, 9) = "Dimension" Or _
    ObjSel.ObjectName = "AcDbLeader" Then
    tipo = ObjSel.ObjectName
    Select Case tipo
    Case "AcDbRotatedDimension"
    MsgBox "AcDbRotatedDimension"
    Case "AcDbAlignedDimension"
    MsgBox "AcDbAlignedDimension"
    Case "AcDbRadialDimension"
    MsgBox "AcDbRadialDimension"
    Case "AcDbDiametricDimension"
    MsgBox "AcDbDiametricDimension"
    Case "AcDb2LineAngularDimension"
    MsgBox "AcDb2LineAngularDimension"
    Case "AcDbLeader"
    MsgBox "AcDbLeader"
    Case "AcDbOrdinateDimension"
    MsgBox "AcDbOrdinateDimension"
    End Select
    End If
    Form1.Show
    End Sub

    And the properties to line extension:
    ExtensionLineColor
    ExtensionLineExtend
    ExtensionLineOffset
    ExtensionLineWeight
    ExtLine1Suppress
    ExtLine2Suppress

    I don't understand for full that you make :(
     
    SpeedCAD, Feb 9, 2004
    #2
  3. While Speedie got you started, lets fill in the holes.

    First, horizontal and vertical dimensions are rotated dimensions. Once
    you have determined that it is of the rotated variety, determine the
    appropriate unnamed block that coincides with the dimension selected and
    iterate thru the block for the nodes. Randall Rath had an article on his
    site regarding how to determine the appropriate unnamed block. Some have
    disbuted his article, but I've used it any never run into any problems
    with it.

    ___________________________
    Mike Tuersley
    CADalyst's AutoCAD Clinic
    Rand IMAGINiT Technologies
     
    Mike Tuersley, Feb 9, 2004
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.